summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-eselect/eselect-mesa
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-eselect/eselect-mesa')
-rw-r--r--app-eselect/eselect-mesa/Manifest2
-rw-r--r--app-eselect/eselect-mesa/eselect-mesa-0.0.10.ebuild31
-rw-r--r--app-eselect/eselect-mesa/eselect-mesa-0.0.9.ebuild31
-rw-r--r--app-eselect/eselect-mesa/metadata.xml5
4 files changed, 69 insertions, 0 deletions
diff --git a/app-eselect/eselect-mesa/Manifest b/app-eselect/eselect-mesa/Manifest
new file mode 100644
index 00000000000..41ee5d513d7
--- /dev/null
+++ b/app-eselect/eselect-mesa/Manifest
@@ -0,0 +1,2 @@
+DIST eselect-mesa-0.0.10.tar.gz 2214 SHA256 736c4360902ddf78d02c6153e558164f3e09cfe74953ae15b74c6ca1647aca7c SHA512 c039ca769a436ccb5a7f0271532d3bc988f29ba31784fc74d1a4dd230e4f9c6db7ef3b9b40a1341202d9641eca9278a73c74e13091f2370065dca7d3707d91c3 WHIRLPOOL 7687b1abab31ccd6a4cad4b585fad0d31b3b7a22e64e3169309824e3cf410ddfd92e8974085d3d01e5deaa884c14964e7af3468ab11b0f2a705657e46091a19e
+DIST eselect-mesa-0.0.9.tar.gz 2217 SHA256 27adf2beff6f7cbd54004e4c27f9ac869e8c7bc72cb83c32acfbccf4119b2494 SHA512 3e00f7e0cc122c15d0c6878b3a3a006e8a8c032c81570fa31143c7e5e8feddc69afdb4f19207f6bc0755172b7cc5e96bcd4093d65218a387af30cfdf230abbf0 WHIRLPOOL bcbcdfdcf17808548ed31fb60fe4f16f26c2e88ab121a4f8a12a5b6c44b9faeb32736fd760e5acbbd90f5afadfcb63798f0f6c46a51540014c967ccf34ec43b7
diff --git a/app-eselect/eselect-mesa/eselect-mesa-0.0.10.ebuild b/app-eselect/eselect-mesa/eselect-mesa-0.0.10.ebuild
new file mode 100644
index 00000000000..ca00aad64d5
--- /dev/null
+++ b/app-eselect/eselect-mesa/eselect-mesa-0.0.10.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+DESCRIPTION="Utility to change the Mesa OpenGL driver being used"
+HOMEPAGE="http://www.gentoo.org/"
+
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=app-admin/eselect-1.2.4
+ >=app-shells/bash-4"
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins mesa.eselect || die
+}
+
+pkg_postinst() {
+ if has_version ">=media-libs/mesa-7.9" && \
+ ! [ -f "${EROOT}"/usr/share/mesa/eselect-mesa.conf ]; then
+ eerror "Rebuild media-libs/mesa for ${PN} to work."
+ fi
+}
diff --git a/app-eselect/eselect-mesa/eselect-mesa-0.0.9.ebuild b/app-eselect/eselect-mesa/eselect-mesa-0.0.9.ebuild
new file mode 100644
index 00000000000..3162da4a70b
--- /dev/null
+++ b/app-eselect/eselect-mesa/eselect-mesa-0.0.9.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+DESCRIPTION="Utility to change the Mesa OpenGL driver being used"
+HOMEPAGE="http://www.gentoo.org/"
+
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=app-admin/eselect-1.2.4
+ >=app-shells/bash-4"
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins mesa.eselect || die
+}
+
+pkg_postinst() {
+ if has_version ">=media-libs/mesa-7.9" && \
+ ! [ -f "${EROOT}"/usr/share/mesa/eselect-mesa.conf ]; then
+ eerror "Rebuild media-libs/mesa for ${PN} to work."
+ fi
+}
diff --git a/app-eselect/eselect-mesa/metadata.xml b/app-eselect/eselect-mesa/metadata.xml
new file mode 100644
index 00000000000..01c4c004e73
--- /dev/null
+++ b/app-eselect/eselect-mesa/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>x11</herd>
+</pkgmetadata>